| Wireshark 4.7.3 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Public Attributes | List of all members
mpa Struct Reference

Represents the decoded fields of an MPEG Audio (MP1/MP2/MP3) frame header, laid out as a packed bitfield. More...

`#include <mpeg-audio.h>`

## Public Attributes
unsigned int | emphasis:2
unsigned int | original:1
unsigned int | copyright:1
unsigned int | modeext:2
unsigned int | mode:2
unsigned int | priv:1
unsigned int | padding:1
unsigned int | frequency:2
unsigned int | bitrate:4
unsigned int | protection:1
unsigned int | layer:2
unsigned int | version:2
unsigned int | sync:11

## Detailed Description

Represents the decoded fields of an MPEG Audio (MP1/MP2/MP3) frame header, laid out as a packed bitfield.

## Member Data Documentation

## ◆ bitrate

unsigned int mpa::bitrate

Bitrate index into the MPEG bitrate table; value interpretation depends on version and layer.

## ◆ copyright

unsigned int mpa::copyright

Set to 1 if the audio content is copyright-protected.

## ◆ emphasis

unsigned int mpa::emphasis

De-emphasis type applied during encoding (0=none, 1=50/15ms, 3=CCIT J.17).

## ◆ frequency

unsigned int mpa::frequency

Sampling frequency index; value interpretation depends on version.

## ◆ layer

unsigned int mpa::layer

MPEG audio layer (1=Layer III, 2=Layer II, 3=Layer I; 0=reserved).

## ◆ mode

unsigned int mpa::mode

Channel mode (0=Stereo, 1=Joint Stereo, 2=Dual Channel, 3=Mono).

## ◆ modeext

unsigned int mpa::modeext

Mode extension for Joint Stereo mode; defines which bands use intensity/MS stereo.

## ◆ original

unsigned int mpa::original

Set to 1 if this is an original media file; 0 if it is a copy.

## ◆ padding

unsigned int mpa::padding

Set to 1 if a padding slot is inserted to adjust the frame's bitrate alignment.

## ◆ priv

unsigned int mpa::priv

Private bit; application-defined, no standardized meaning.

## ◆ protection

unsigned int mpa::protection

Set to 0 if a 16-bit CRC checksum follows the header; 1 if no CRC is present.

## ◆ sync

unsigned int mpa::sync

Frame sync word; all 11 bits must be set to 1 to identify a valid MPEG frame boundary.

## ◆ version

unsigned int mpa::version

MPEG version (0=MPEG 2.5, 2=MPEG 2, 3=MPEG 1; 1=reserved).

The documentation for this struct was generated from the following file:

- /builds/wireshark/wireshark/wsutil/mpeg-audio.h